Name: oaf
Summary: Object activation framework for GNOME.
Version: 0.6.10
Release: 12.3
License: LGPL and GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/gnome/sources/stable/%{name}/%{name}-%{version}.tar.bz2
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libxml-devel
BuildPrereq: ORBit-devel

Patch1: oaf-underquoted.patch

%description
OAF is an object activation framework for GNOME. It uses ORBit.


%package devel
Summary: Libraries and include files for OAF
Group: System Environment/Libraries
Requires: %name = %{version}

%description devel
Libraries and include files for Oaf.


%prep
%setup -q
%patch1 -p1 -b .underquoted

%build
%configure

make -k

%install
rm -fr %{buildroot}
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_bindir}/oaf-empty-server
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_sysconfdir}/oaf
%config %{_sysconfdir}/oaf/*.sample
%config %{_sysconfdir}/oaf/*.xml
%{_bindir}/oaf-client
%{_bindir}/oaf-run-query
%{_bindir}/oaf-slay
%{_bindir}/oaf-sysconf
%{_bindir}/oafd
%{_libdir}/*.0
%{_libdir}/*.so
%{_datadir}/idl/*.idl
%dir %{_datadir}/oaf
%{_datadir}/oaf/*.oafinfo
%{_datadir}/oaf/*.oaf
%{_mandir}/man*/*

%files devel
%defattr(-,root,root)
%dir %{_prefix}/include/liboaf
%{_includedir}/liboaf/*.h
%{_datadir}/aclocal/*.m4
%{_bindir}/oaf-config
%{_libdir}/*.sh

%changelog
* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 0.6.10-12.3
- needed to build a 3rd from for the long-double issues

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 0.6.10-12.2.2
- rebump for build order issues during double-long bump

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.10-12.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.6.10-12.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 0.6.10-12
- Rebuild with gcc4

* Fri Aug  6 2004 Tim Waugh <twaugh@redhat.com> 0.6.10-11
- Fixed underquoted m4 definitions.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Oct 27 2003 Havoc Pennington <hp@redhat.com> 0.6.10-8
- rebuild for exec shield

* Mon Jun 23 2003 Havoc Pennington <hp@redhat.com> 0.6.10-7
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Oct 31 2002 Owen Taylor <otaylor@redhat.com> 0.6.10-4
- Own /etc/oaf. (#73960, Enrico Scholz)

* Tue Oct 22 2002 Jeremy Katz <katzj@redhat.com>
- remove the .la files

* Fri Oct 18 2002 Jeremy Katz <katzj@redhat.com>
- switch to using rpm macros %%{_libdir}, %%{_bindir}, %%{_datadir}, etc
- fix for %%_unpackaged_files_terminate_build

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.6.10

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jun  7 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.6.9
- Don't use Red Hat pofiles, for now.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Thu Apr 11 2002 Owen Taylor <otaylor@redhat.com>
- Omit /usr/include from oaf-config --cflags (#59505)

* Wed Mar 20 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.6.8
- langify

* Sun Dec 30 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- files owned by root instead of bin

* Tue Nov  6 2001 Jeremy Katz <katzj@redhat.com>
- update to 0.6.7

* Mon Jul 23 2001 Havoc Pennington <hp@redhat.com>
- move oaf-config and oafConf.sh to -devel

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- move to CVS snapshot with bugfix action

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Add BuildPrereq for libxml-devel and ORBit-devel (#49545)

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- why was oaf-devel obsoleting itself? That's dumb. fixed

* Sun Jul  8 2001 Tim Powers <timp@redhat.com>
- remove all the bogus deffattrs, languify to satisfy rpmlint
- quiet setup

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon May 14 2001 Jonathan Blandford <jrb@redhat.com>
- fix changelog
- fix broken %%post step

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Added to Red Hat build system
- made use %%configure

* Tue Aug 29 2000 Maciej Stachowiak <mjs@eazel.com>
- corrected Copyright field and renamed it to License

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file (based on bonobo.spec.in)
